import platform
import os,sys
from getMethods import *

url = sys.argv[1]
urllist = url.split('.')

#instantiate a Document   
wadlDocument = Document()

#depending on the extension on the document passed call the appropriate method
if urllist[len(urllist)-1]=='wadl' or urllist[len(urllist)-1]=='WADL':
    wadlDocument.getWADLMethods(url,sys.argv[2])
elif urllist[len(urllist)-1]=='wsdl' or urllist[len(urllist)-1]=='WSDL':
    wadlDocument.getWSDLMethods(url,sys.argv[2])
elif urllist[len(urllist)-1]=='sawadl' or urllist[len(urllist)-1]=='SAWADL':
    wadlDocument.getSAWADLMethods(url,sys.argv[2])

   
